Evaluations
Create a regression dataset
POST /v1/regression-datasets · SDK createRegressionDataset · CLI deployments eval dataset create
POST
Requires observability:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
description?stringLength
1 <= length <= 500name*stringMatch
^[a-z0-9][a-z0-9._-]{0,63}$retentionDays?integerRange
1 <= value <= 3650RegressionDatasetResponse
application/json- response
archivedAt?stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecaseCount*integerRange
0 <= value <= 9007199254740991createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedescription?stringLength
1 <= length <= 500id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name*stringMatch
^[a-z0-9][a-z0-9._-]{0,63}$ownerPrincipalId*stringretentionDays?integerRange
1 <= value <= 3650status*stringValue in
"active""archived"updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeversion*integerRange
0 <= value <= 9007199254740991curl -X POST "https://example.com/v1/regression-datasets" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "archivedAt": "2019-08-24T14:15:22Z", "caseCount": 0, "createdAt": "2019-08-24T14:15:22Z", "description": "string", "id": "string", "name": "string", "ownerPrincipalId": "string", "retentionDays": 1, "status": "active", "updatedAt": "2019-08-24T14:15:22Z", "version": 0}